Employee Count Endpoint
Cost1 credit / successful requestGet the total number of employees of a company.
Returns employee counts from various sources.
Authorization
BearerAuth clientIn: header
Scope: client
Query Parameters
URL of the Company Profile to target.
Include profiles that match the company name. The Employee Count Endpoint works by identifying individual profiles with work experience that provides an exact match to the Company Profile URL provided. Including this option also allows profiles with at least one work experience that exactly matches the specified company name to be included.
This parameter accepts the following values:
include(default value) - Include employees whose profiles match the company name.exclude- Exclude employees by company name match.
Time travel back in time and fetch the employee count of a company at any particular date. This parameter takes an ISO8601 timestamp with the representation of "YYYY-MM-DD". Costs 1 extra credit on top of the base cost of the endpoint for users on the Growth or larger subscription. For all other users, it will cost 5 extra credits.
if-present: The default behavior. Fetches data from cache regardless of age of profile.if-recent: API will make a best effort to return a fresh data no older than 29 days. Costs an extra 1 credit on top of the cost of the base endpoint.
- Note: When
use_cache=if-recent, theestimated_employee_countparameter must be included with a value of 'include'.
Option to include a retrieved employee count value from the target company's profile.
Valid values are include and exclude:
exclude(default) : To exclude the retrieved employee count.include: To include the retrieved employee count.
Costs an extra 1 credit on top of the base cost of the endpoint.
Parameter to tell the API to filter past or current employees.
Valid values are current, past, and all:
current(default) : count current employeespast: count past employeesall: count current & past employees
Response Body
application/json
curl -X GET "https://enrichlayer.com/api/v2/company/employees/count?url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fapple%2F&coy_name_match=include&at_date=2023-12-31&use_cache=if-present&estimated_employee_count=include&employment_status=current"{
"estimated_employee_count": 529274,
"verified_employee_count": 3
}